Bug 484797 - (ffhotmail) Hotmail doesn't work in firefox
Hotmail doesn't work in firefox
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
: 487961 (view as bug list)
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-02-09 18:06 EST by Magnus Vesterlund
Modified: 2009-03-28 04:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-28 04:37:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of non-reproduction (115.52 KB, image/png)
2009-02-10 09:55 EST, Matěj Cepl
no flags Details
non reproducing email (3.87 KB, text/plain)
2009-03-04 11:29 EST, Matěj Cepl
no flags Details

  None (edit)
Description Magnus Vesterlund 2009-02-09 18:06:33 EST
Description of problem:
Hotmail doesn't work in firefox. Nothing happens when you click on a mail folder to view its contents, an after doing that clicking on mails to display them doesn't work either. 

Version-Release number of selected component (if applicable):
firefox-3.1-0.4.beta2.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Login to a hotmail account (www.hotmail.com)
2. Click on a mail folder
3. Try clicking on something else, e.g., to display a mail
  
Actual results:
After clicking on a folder you can't view mails.

Expected results:
After clicking on a folder you can still view mails.

Additional info:
Comment 1 Matěj Cepl 2009-02-10 09:55:47 EST
Created attachment 331428 [details]
screenshot of non-reproduction

sorry, just works; are you able to reproduce this with the -safe-mode command line option when starting firefox?
Comment 2 Magnus Vesterlund 2009-02-15 11:02:45 EST
No, starting firefox with -safe-mode doesn't help. I also tried deleting my .mozilla directory but it didn't help either.

I downloaded Mozilla 3.0.6 from www.mozilla.com and it works for me.
Comment 3 Matěj Cepl 2009-02-16 09:10:27 EST
Hmm, that's bad -- try to find out some pattern how to reproduce this or unless you find in month how to explain it to me so I can reproduce, I will have no choice but close this bug as INSUFFICIENT_DATA.
Comment 4 R Porter 2009-02-19 22:14:32 EST
I don't know if it helps or not, but I have this problem too, on 3.1b2. I also can not find any way to fix this.
Comment 5 sean 2009-03-02 12:33:18 EST
Same problem here.

 firefox-3.1-0.7.beta2.fc11.i586

I don't know what else is needed to explain how to reproduce. Just go into hotmail, go to inbox, click on a post. Nothing happens. All the time.
Comment 6 Matěj Cepl 2009-03-03 19:34:41 EST
*** Bug 487961 has been marked as a duplicate of this bug. ***
Comment 7 Don Zickus 2009-03-03 20:06:57 EST
In response to comment #1, Matej I think you need some mail to click on.  Your screen shot is the same as everyone elses.  If you click Inbox, look for some mail, _then_ click on the mail to view it, you should fail to open the mail.  

In fact, send yourself a test mail to that test account, then try to reply to it.  You won't be able to do it.  If you can, then you have gotten further than most of us here.
Comment 8 Matěj Cepl 2009-03-04 11:29:54 EST
Created attachment 334010 [details]
non reproducing email

just did that ... sent myself email to Hotmail and replied back. Went just fine.
Comment 9 R Porter 2009-03-04 11:56:51 EST
As a question to all others here. Do any of you without the bug have enough mail to fill the page and cause it to paginate? Do any of you with the bug have less than enough mail for this to occur? 
Just exploring a possibility here..
Comment 10 sean 2009-03-07 16:00:18 EST
My inbox has more than one page. I have this bug. Can't open any emails.
Comment 11 sean 2009-03-13 20:54:04 EDT
OK. Does it work for anybody with only one page? If it does, subscribe to fedora testers, wait for more than 1 page. Does it work now? 

Are we going to release F11 that won't work on hotmail?

sean
Comment 12 Christopher Aillon 2009-03-15 19:13:55 EDT
Try grabbing both of these packages:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1240929
Comment 13 Don Zickus 2009-03-16 20:50:34 EDT
Works for me!  Replying seems awkward but I think that is a hotmail configuration.

Now I can continue to reply to people and tell them to stop emailing me at hotmail.com. :-)
Comment 14 sean 2009-03-18 18:48:12 EDT
WFM too.

Shiretoko ???

BTW, the firefox updating erased/removed the "Restore Sessions" page from the prior session.

Thanks.

sean
Comment 15 Matěj Cepl 2009-03-28 04:37:49 EDT
Closing per two last comments. If anybody has problems with the latest firefox/xulrunner from Rawhide, please reopen.

Note You need to log in before you can comment on or make changes to this bug.